/*
 * 作成日: 2005/11/19
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package aji;

import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Listener;

/**
 * @author riki
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class IntegerCheck implements Listener{
	
	private String vaildValues = "1234567890";
		
	public void handleEvent(Event e){
		
		String text = e.text;
		
		if(e.keyCode == 13) return;
		
		if(vaildValues.indexOf(text) == -1){
				e.doit = false;
		}
		
	}

}
